# Reload changes with control+x followed by control+r
set echo-control-characters off
"\e[A": history-search-backward
"\e[B": history-search-forward
# mappings for Ctrl-left-arrow and Ctrl-right-arrow for word moving
 "\e[1;5C": forward-word
 "\e[1;5D": backward-word
 "\e[5C": forward-word
 "\e[5D": backward-word
 "\e\e[C": forward-word
 "\e\e[D": backward-word
 

#Macros
# F10 load text menu
"\e[21~":"\C-k \C-u/usr/bin/pdmenu -squn;dialog --infobox \"Press F10 to return to the menu\" 0 0\n"

# alt|\ Attempt to restore accessibility services.
"\e\\":"\C-k \C-usudo /usr/lib/F123-wrappers/restore-accessibility.sh\n"

# Music player keybindings
"\eZ":"\C-k \C-uaudtool --playlist-reverse&&audtool --current-song\C-M"
"\eX":"\C-k \C-uif ! pgrep audacious &> /dev/null ; then audacious -Hp &> /dev/null&else audacious -p;fi;audtool --current-song\C-M"
"\eC":"\C-k \C-uaudtool --playback-playpause;if audtool --playback-playing ; then audtool --current-song;fi\C-M"
"\eV":"\C-k \C-uaudtool --playback-stop\C-M"
"\eB":"\C-k \C-uaudtool --playlist-advance&&audtool --current-song\C-M"
"\eU":"\C-k \C-uaudtool --current-song\C-M"
"\e_":"\C-k \C-uaudtool --set-volume $(($(audtool --get-volume | tr -Cd \"[:digit:]-\") - 5))\C-M"
"\e+":"\C-k \C-uaudtool --set-volume $(($(audtool --get-volume | tr -Cd \"[:digit:]-\") + 5))\C-M"

# Barnard controls
"\C-B":"\C-k \C-upgrep -c barnard &> /dev/null && echo 'talk' > /home/storm/.config/barnard/cmd\C-M"
